using System;

namespace ClientServer.Attributes
{
    /// <summary>
    /// an attribute specifying that the method (api path) is public available
    /// without login or auth token
    ///
    /// as long as we don't have an attribute to protect the private apis (or vice versa)
    /// open apis are easier to tag via attributes
    /// </summary>
    public class IsPublicApi : Attribute
    {
        
    }
}
