﻿using System.ComponentModel.DataAnnotations;
using ClientServer.Db;
using ClientServer.Models.Exercises.Tests;
using ClientServer.Models.Files;

namespace ClientServer.Models.Exercises
{
    /// <summary>
    /// a join table to connect <see cref="Test"/> and <see cref="FileReferenceTestAsset"/>
    /// </summary>
    public class TestWithFileAsAssetReference
    {
        public int TestId { get; set; }
        public Test Test { get; set; }


        public int FileReferenceTestAssetId { get; set; }
        public FileReferenceTestAsset FileReferenceTestAsset { get; set; }
    }
}
