﻿namespace ClientServer.Models.Users
{

    /// <summary>
    /// the many-to-many relation for <see cref="User"/> s and <see cref="UserGroup"/>
    /// </summary>
    public class UserWithUserGroup
    {

        public int UserId { get; set; }
        /// <summary>
        /// the connected <see cref="User"/>
        /// </summary>
        public User User { get; set; }


        public int UserGroupId { get; set; }
        /// <summary>
        /// the connected <see cref="UserGroup"/>
        /// </summary>
        public UserGroup UserGroup { get; set; }



        //foreign

        public int GroupRoleId { get; set; }
        /// <summary>
        /// the conencted <see cref="GroupRole"/>
        /// </summary>
        public GroupRole GroupRole { get; set; }
    }
}
