﻿using System;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore.Migrations;

namespace ClientServer.Migrations
{
    public partial class addTestResultCharacterLimit : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_MetaDatas_Exercises_ExerciseId1",
                table: "MetaDatas");

            migrationBuilder.DropIndex(
                name: "IX_MetaDatas_ExerciseId1",
                table: "MetaDatas");

            migrationBuilder.DropColumn(
                name: "ExerciseId1",
                table: "MetaDatas");

            migrationBuilder.AddColumn<bool>(
                name: "CharacterLimitExceeded",
                table: "TestWithSingleSolutionAsTestResult",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<int>(
                name: "CharacterLimitUsed",
                table: "TestWithSingleSolutionAsTestResult",
                nullable: true);

            migrationBuilder.AddColumn<bool>(
                name: "CharacterLimitExceeded",
                table: "CustomTestWithSingleSolutionAsTestResult",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<int>(
                name: "CharacterLimitUsed",
                table: "CustomTestWithSingleSolutionAsTestResult",
                nullable: true);

            migrationBuilder.AddColumn<bool>(
                name: "CharacterLimitExceeded",
                table: "TestWithAfterSolutionAsTestResults",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<int>(
                name: "CharacterLimitUsed",
                table: "TestWithAfterSolutionAsTestResults",
                nullable: true);

            migrationBuilder.AddColumn<bool>(
                name: "CharacterLimitExceeded",
                table: "CustomTestWithAfterSolutionAsTestResults",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<int>(
                name: "CharacterLimitUsed",
                table: "CustomTestWithAfterSolutionAsTestResults",
                nullable: true);

            migrationBuilder.AddColumn<bool>(
                name: "CharacterLimitExceeded",
                table: "CustomProjectTestWithSolutionAsTestResults",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<int>(
                name: "CharacterLimitUsed",
                table: "CustomProjectTestWithSolutionAsTestResults",
                nullable: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CharacterLimitExceeded",
                table: "TestWithSingleSolutionAsTestResult");

            migrationBuilder.DropColumn(
                name: "CharacterLimitUsed",
                table: "TestWithSingleSolutionAsTestResult");

            migrationBuilder.DropColumn(
                name: "CharacterLimitExceeded",
                table: "CustomTestWithSingleSolutionAsTestResult");

            migrationBuilder.DropColumn(
                name: "CharacterLimitUsed",
                table: "CustomTestWithSingleSolutionAsTestResult");

            migrationBuilder.DropColumn(
                name: "CharacterLimitExceeded",
                table: "TestWithAfterSolutionAsTestResults");

            migrationBuilder.DropColumn(
                name: "CharacterLimitUsed",
                table: "TestWithAfterSolutionAsTestResults");

            migrationBuilder.DropColumn(
                name: "CharacterLimitExceeded",
                table: "CustomTestWithAfterSolutionAsTestResults");

            migrationBuilder.DropColumn(
                name: "CharacterLimitUsed",
                table: "CustomTestWithAfterSolutionAsTestResults");

            migrationBuilder.DropColumn(
                name: "CharacterLimitExceeded",
                table: "CustomProjectTestWithSolutionAsTestResults");

            migrationBuilder.DropColumn(
                name: "CharacterLimitUsed",
                table: "CustomProjectTestWithSolutionAsTestResults");

            migrationBuilder.AddColumn<int>(
                name: "ExerciseId1",
                table: "MetaDatas",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_MetaDatas_ExerciseId1",
                table: "MetaDatas",
                column: "ExerciseId1");

            migrationBuilder.AddForeignKey(
                name: "FK_MetaDatas_Exercises_ExerciseId1",
                table: "MetaDatas",
                column: "ExerciseId1",
                principalTable: "Exercises",
                principalColumn: "Id",
                onDelete: ReferentialAction.Restrict);
        }
    }
}
