﻿using System.Collections.Generic;

namespace ClientServer.Models.Exercises
{
    /// <summary>
    /// meta data for an exercise (currently only tags)
    /// </summary>
    public class MetaData
    {

        public MetaData()
        {
            TagWithMetaDatas = new List<TagWithMetaData>();
        }

        public int Id { get; set; }



        /// <summary>
        /// the <see cref="Tag"/>s for this <see cref="MetaData"/> object
        /// </summary>
        public List<TagWithMetaData> TagWithMetaDatas { get; set; }


        public int ExerciseId { get; set; }
        /// <summary>
        /// the related <see cref="Exercise"/>s
        /// </summary>
        public Exercise Exercise { get; set; }
    }
}
