﻿using System.ComponentModel.DataAnnotations;
using ClientServer.Db;
using ClientServer.Models.Exercises.Tests;
using ClientServer.Models.Files;

namespace ClientServer.Models.Exercises
{
    /// <summary>
    /// a join table to connect <see cref="CustomTest"/> and <see cref="FileReferenceUserFileAsset"/>
    /// </summary>
    public class CustomTestWithFileAsAssetReference
    {
        public int CustomTestId { get; set; }
        public CustomTest CustomTest { get; set; }


        public int FileReferenceUserFileAssetId { get; set; }
        public FileReferenceUserFileAsset FileReferenceUserFileAsset { get; set; }
    }
}
