﻿using System.ComponentModel.DataAnnotations;
using ClientServer.Db;

namespace ClientServer.Models.Exercises.Tests
{
    /// <summary>
    /// the type of a <see cref="Test"/>
    /// </summary>
    public class TestType
    {
        public int Id { get; set; }
        /// <summary>
        /// the type name
        /// </summary>
        [MaxLength(YapexDbContext.DefaultMaxStringLength)]
        public string DisplayName { get; set; }

        /// <summary>
        /// the internal name used on the test server
        /// </summary>
        [MaxLength(YapexDbContext.DefaultMaxStringLength)]
        public string InternalName { get; set; }
    }
}
