using System;

namespace ClientServer.Models.Files
{
    public interface IFileReference
    {
        int Id { get; set; }
        
        string Hash { get; set; }
        
        /// <summary>
        /// the original name when the file was uploaded (might have no extension if uploaded without!)
        /// </summary>
        string OriginalName { get; set; }
        
        string MimeType { get; set; }
        
        long SizeInBytes { get; set; }
        
        DateTime CreatedAt { get; set; }
        
        DateTime LastUpdatedAt { get; set; }
    }
}
